class TaskList
  attr_accessor :tasks

  def parseLine(l)
    # Capitals denote a title, so block them (2 or more)
    if l =~ /^[:upper:]+$/
      return
    end
    # Matches '-', '*', '#', tabs or 2 or more spaces as the beginning of a task
    if l =~ /^(-|\*|\#|\t|\s{2,})(.*)/
      return $2 # Return the message
    end
  end

  def initialize()
    self.tasks = []
    f = File.open(File.expand_path("~/.todo"), "r")
    f.each do |l|
      m = parseLine(l)
      if m
        tasks << Task.new(m)
      end
    end
    f.close
    self.tasks.sort! { |a,b| a._d <=> b._d }
  end
end
